org.eclipse.january.dataset

## Class Operations.Negation

- java.lang.Object
- - org.eclipse.january.dataset.Operations.Negation

- All Implemented Interfaces:
    IOperation, UnaryOperation
  Enclosing class:
    Operations

      public static class Operations.Negation
      extends Object
      implements UnaryOperation

  Negation with boolean not

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.january.dataset.UnaryOperation

      `UnaryOperation.Stub`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Operations.Negation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `booleanOperate(long a)`
    `void` | `complexOperate(double[] out, double ra, double ia)`
    `double` | `doubleOperate(double a)`
    `long` | `longOperate(long a)`
    `String` | `toString()`
    `String` | `toString(String a)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Operations.Negation

          public Operations.Negation()

  - ### Method Detail

    - #### booleanOperate

          public boolean booleanOperate(long a)

      Specified by:
        `booleanOperate` in interface `UnaryOperation`
      Returns:
        op(a)

    - #### longOperate

          public long longOperate(long a)

      Specified by:
        `longOperate` in interface `UnaryOperation`
      Returns:
        op(a)

    - #### doubleOperate

          public double doubleOperate(double a)

      Specified by:
        `doubleOperate` in interface `UnaryOperation`
      Returns:
        op(a)a

    - #### complexOperate

          public void complexOperate(double[] out,
                            double ra,
                            double ia)

      Specified by:
        `complexOperate` in interface `UnaryOperation`
      Parameters:
        `out` - holds op(ra, ia)

    - #### toString

          public String toString(String a)

      Specified by:
        `toString` in interface `UnaryOperation`
      Returns:
        string to represent output

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2017. All rights reserved.